Bug 58565 - Custom kernel compile fails consolemap.c
Custom kernel compile fails consolemap.c
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-01-19 18:23 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-20 14:27:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-19 18:23:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv: Gecko/20010901

Description of problem:
While doing make install the compiler errored out

gcc -D__KERNEL__ -I/usr/src/linux-2.4.9-13/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common
-Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i586    -c -o consolemap.o
consolemap.c: In function `con_unify_unimap':
consolemap.c:417: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [consolemap.o] Error 2

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.upgrade rpm kernel-source-2.4.9-13
2.copied configs/kernel-2.4.9-i586.config .config
3.ran make xconfig and added amateur radio support (as modules)
4.make dep then make install

Additional info:
Comment 1 Jakub Jelinek 2002-01-20 14:27:43 EST
Is it reproduceable? If yes, please submit preprocessed source
(see gcc -save-temps option), if not, it is likely a hardware problem.
Comment 2 Need Real Name 2002-01-22 07:33:31 EST
Appears to have been a hardware problem.

Note You need to log in before you can comment on or make changes to this bug.